#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include 'pl/filter-persetujuan-produk.html'/}
        </div>

        <div class="col-md-10">
        #{alert /}
            <h4>&{'persetujuan_produk.label'}</h4>
        #{form @prakatalog.PersetujuanCtr.persetujuanProdukSubmit(), method:'POST', id:'formPersetujuan'}
            #{if !model.items.isEmpty()}
                <!-- Toolbar -->
                <input type="hidden" name="penawaran_id" value="${paramQuery.pid}">
                <input type="hidden" id="alasanSubmit" name="alasan">
                <input type="hidden" id="setujuTolak" name="setujuTolak">
                <div class="toolbar">
                    #{backButton/}
                    #{if allowApproval || aktifUser.isAdmin() || aktifUser.isPokja()}
                        <a href="#" type="button" class="btn btn-warning btn-sm" id="persetujuan" disabled="disabled"><i
                                class="fa fa-check"></i>
                        &{'proses_persetujuan_produk.label'}</a>
                        <label>&{'pilih_semua.label'}</label>&nbsp;<input type="checkbox" id="selectAll"/>
                        #{if paramQuery.pid != 0}
                         #{if isNegotationOrLolosKualifikasi}
                            <a href="@{selesaiNegosiasi(id)}" type="button" id="selesaiNegosiasi"
                               class="btn btn-success green btn-sm"><i class="fa fa-check"></i>
                            &{'selesai_negosiasi.label'}</a>
                        #{/if}
                        #{/if}
                    #{/if}
                </div>
                <!-- End Toolbar -->

                <!-- Data Table -->
                <div class="panel panel-default">
                    <div class="panel-body" style="overflow-x: auto">
                        <table class="table table-striped" id="tblPermintaan">
                            <thead>
                            <tr>
                                <th></th>
                                <th class="header-center">&{'nomor.label'}</th>
                                <th class="header-center">&{'nama_produk.label'}</th>
                                <th class="header-center">&{'komoditas.label'}</th>
                                <th class="header-center">&{'jenis.label'} &{'komoditas.label'}</th>
                                <th class="header-center">&{'nama_penyedia.label'}</th>
                                <th class="header-center">&{'penawaran.label'}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                                #{set idx = (paramQuery.page - 1) * 20 /} *{nantinya angka 20 akan flexible diganti dengan param}*
                                #{list model.items, as:"i"}
                                <tr>
                                    <td class="column-center">
                                        #{if i.penawaran_id != null}<input type="checkbox" name='idProduk' value='${i.id}' class='idProduks'>#{/if}
                                        #{else}<input type="checkbox" disabled="disabled">#{/else}
                                    </td>
                                    <td class="column-center"><h5>${idx = idx + 1}.</h5></td>
                                    <td class="column-left">
                                        <a href="${i.getProductUrl()}" target="_blank"><b>${i.no_produk}</b><br>${i.no_produk_penyedia}<br>${i.nama_manufaktur} ${i.nama_produk}</a></td>
                                    <td class="column-left">${i.nama_komoditas}</td>
                                    <td class="column-center">${i.nama_kategori} - #{if i.nama_kldi != null}${i.nama_kldi}#{/if}#{else}LKPP#{/else}</td>
                                    <td class="column-left">${i.nama_penyedia}</td>
                                    *{<td class="column-center">#{if i.penawaran_id != null}<span style='color:green' class='fa fa-check fa-lg'></span>#{/if}#{else}<span style='color:red' class='fa fa-close fa-lg'></span>#{/else}</td>}*
                                    <td class="column-left">${i.nama_usulan}</td>
                                    <td class="column-center">
                                        <div class="dropdown">
                                            <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">&{'aksi.label'}<span class="caret"></span></button>
                                            #{printBerita i?.getMakeButtonGroups().toString()/}
                                        </div>
                                    </td>
                                </tr>
                                #{/list}
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- End Data Table -->
                #{pagination model.getPageAble()/}
            #{/if}
            #{else }
                #{ListDefaultMessage type:"Paket"/}
            #{/else}
        #{/form}
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'persetujuan_produk.label'}</h4>
                </div>
                <div class="modal-body">
                    <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
                    <div class="form-group">
                        <label class="control-label">&{'alasan.label'} </label>
                        <textarea id="alasan" class="form-control"></textarea>
                    </div>
                    <input id="input_id" name="id_sumber" type="hidden"/>
                    * &{'wajib_diisi_jika_menolak.label'}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary btnSetujuTolak"
                            value="setuju">&{'setuju.label'}</button>
                    <button type="button" class="btn btn-primary btnSetujuTolak" value="tolak">&{'tolak.label'}</button>
                    <button type="button" class="btn btn-warning" data-dismiss="modal">&{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="openFilterProduk()">Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'persetujuan_produk.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include 'pl/filter-persetujuan-produk.html'/}
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'moreScripts'}
<script type="application/javascript">
    $(document).ready(function () {
        $("#submitBtn").on("click", function () {
            $.showLoading();
            $("#centerTableEmpty").html("&{'tungguproses.label'}")
        });

        $("#komoditas").on("change", function(){
            $("#submitBtn").click();
        });

        $('#keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#submitBtn').click();
                return false;
            }
            return;
        });

        $("#komoditas").on("change", function(){
            getPenyedia();
        });

        function getPenyedia(){
            var komoditas = $("#komoditas").val();

            if(komoditas != ""){
                $(document).ajaxStart(function(){$.showLoading();});
                $.ajax({
                    dataType: "json",
                    url: "@{prakatalog.PersetujuanCtr.getPenyedia()}",
                    data: {
                        komoditas_id:komoditas,
                        pokja_id:paramQuery.uid
                    },
                    success: function (result) {
                        var html = "<option value=''>Semua Penyedia</option>";
                        for(var key in result){
                            var obj = result[key];
                            html = html + "<option value='"+obj["id"]+"'>"+obj["nama_penyedia"]+"</option>"
                        }
                        $("#penyedia").html(html);
                    }
                });
                $(document).ajaxComplete(function(){$.hideLoading();});
            }
        }

        $("body").on("click", "#persetujuan", function () {
            $("#editModal").modal();
        });

        $("body").on("click", ".btnSetujuTolak", function () {
            var this_val = $(this).val();
            var alasan_val = $("#alasan").val();

            if (this_val == "tolak" && alasan_val == "") {
                var conf = confirm("Apakah anda yakin Menolak Produk?");
                if (conf == true) {
                    $("#error-message").html("&{'produk.tolak.alasan.error'}");
                    $("#error-message").show();
                }
            } else if (this_val == "tolak" && alasan_val != "") {
                var conf = confirm("Apakah anda yakin Menolak Produk?");
                if (conf == true) {
                    $("#error-message").hide();
                    $("#alasanSubmit").val($("#alasan").val());
                    $("#setujuTolak").val($(this).val());
                    $("#editModal").modal('hide');
                    $("#formPersetujuan").submit();
                }
            } else {
                var conf = confirm("Apakah anda yakin Menyetujui Produk?");
                if (conf == true) {
                    $("#error-message").hide();
                    $("#alasanSubmit").val($("#alasan").val());
                    $("#setujuTolak").val($(this).val());
                    $("#editModal").modal('hide');
                    $("#formPersetujuan").submit();
                }
            }


        });

//        $("body").on("click", "#selectAll", function() {
//            var checked = $(this).is(":checked");
//            if(checked){
//                $(".idProduks").prop("checked", true);
//            } else {
//                $(".idProduks").prop("checked", false);
//            }
//        });

        $("#selectAll").click(function () {
            var checked = $(this).is(":checked");
            if (checked) {
                $(".idProduks").prop("checked", true);
                $("#persetujuan").removeAttr('disabled');
            } else {
                $(".idProduks").prop("checked", false);
                $("#persetujuan").attr('disabled', 'disabled');
            }
        });

        $("body").on("click", ".idProduks", function () {
            var jumlahCek = $('[name="idProduk"]:checked').length;

            // console.log(jumlahCek);

            if (jumlahCek > 0) {
                $("#persetujuan").removeAttr('disabled');
            } else {
                $("#persetujuan").attr('disabled', 'disabled');
            }
        });

        // Alert Selesai Negosiasi
        $("body").on("click", "#selesaiNegosiasi", function () {
            return confirm("&{'konfirmasi.selesai.negosiasi'}");
        });

    });
</script>
#{/set}